package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-11-17 
 */
@ApiModel
@Table ( value ="outcoming_record_d" )
public class OutcomingRecordD implements Serializable {
	private static final long serialVersionUID =  8719316562349474261L;

	@ApiModelProperty(value = "ID标识")
	@Column(value = "line_id")
	private String lineId;

	@ApiModelProperty(value = "出库单ID") 
	@Column(value = "billid")
	private String billid;

	@ApiModelProperty(value = "出库单编码") 
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "出库单行号") 
	@Column(value = "seqno")
	private String seqno;

	@ApiModelProperty(value = "关联业务单据类型") 
	@Column(value = "ref_billtype")
	private String refBilltype;

	@ApiModelProperty(value = "关联出库单ID") 
	@Column(value = "ref_billid")
	private String refBillid;

	@ApiModelProperty(value = "关联出库单号") 
	@Column(value = "ref_billno")
	private String refBillno;

	@ApiModelProperty(value = "关联出库单行号") 
	@Column(value = "ref_seqno")
	private String refSeqno;

	@ApiModelProperty(value = "货主ID") 
	@Column(value = "consignorid")
	private String consignorid;

	@ApiModelProperty(value = "货主编号") 
	@Column(value = "consignorcode")
	private String consignorcode;

	@ApiModelProperty(value = "货主名称") 
	@Column(value = "consignorname")
	private String consignorname;

	@ApiModelProperty(value = "商品ID") 
	@Column(value = "itemid")
	private String itemid;

	@ApiModelProperty(value = "商品编码") 
	@Column(value = "itemcode")
	private String itemcode;

	@ApiModelProperty(value = "商品名称") 
	@Column(value = "itemname")
	private String itemname;

	@ApiModelProperty(value = "父商品ID") 
	@Column(value = "parernt_itemid")
	private String parerntItemid;

	@ApiModelProperty(value = "商品规格") 
	@Column(value = "category_id")
	private String categoryId;

	@ApiModelProperty(value = "包装数量") 
	@Column(value = "pack_size",jdbcType="DECIMAL")
	private BigDecimal packSize;

	@ApiModelProperty(value = "包装单位") 
	@Column(value = "pack_units")
	private String packUnits;

	@ApiModelProperty(value = "加工类型") 
	@Column(value = "mach_type")
	private String machType;

	@ApiModelProperty(value = "批号") 
	@Column(value = "lot_no")
	private String lotNo;

	@ApiModelProperty(value = "批次号") 
	@Column(value = "batch_no")
	private String batchNo;

	@ApiModelProperty(value = "生产日期") 
	@Column(value = "pdate_from")
	private String pdateFrom;

	@ApiModelProperty(value = "有效期至") 
	@Column(value = "valid_until")
	private String validUntil;

	@ApiModelProperty(value = "生产厂家") 
	@Column(value = "manufacturer")
	private String manufacturer;

	@ApiModelProperty(value = "含税单价")
	@Column(value = "price",jdbcType="DECIMAL")
	private BigDecimal price;

	@ApiModelProperty(value = "未税单价") 
	@Column(value = "tni_price",jdbcType="DECIMAL")
	private BigDecimal tniPrice;

	@ApiModelProperty(value = "整件数") 
	@Column(value = "affirmed_pcs",jdbcType="DECIMAL")
	private BigDecimal affirmedPcs;

	@ApiModelProperty(value = "零散数") 
	@Column(value = "affirmed_odd",jdbcType="DECIMAL")
	private BigDecimal affirmedOdd;

	@ApiModelProperty(value = "赠品数量") 
	@Column(value = "affirmed_freeqty",jdbcType="DECIMAL")
	private BigDecimal affirmedFreeqty;

	@ApiModelProperty(value = "数量") 
	@Column(value = "affirmed_qty",jdbcType="DECIMAL")
	private BigDecimal affirmedQty;

	@ApiModelProperty(value = "重量") 
	@Column(value = "affirmed_weight",jdbcType="DECIMAL")
	private BigDecimal affirmedWeight;

	@ApiModelProperty(value = "体积") 
	@Column(value = "affirmed_volume",jdbcType="DECIMAL")
	private BigDecimal affirmedVolume;

	@ApiModelProperty(value = "复核台编号") 
	@Column(value = "reviewstageno")
	private String reviewstageno;

	@ApiModelProperty(value = "拼箱数") 
	@Column(value = "sumboxnum",jdbcType="DECIMAL")
	private BigDecimal sumboxnum;

	@ApiModelProperty(value = "拼箱号") 
	@Column(value = "mergenumber")
	private String mergenumber;

	@ApiModelProperty(value = "备注") 
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "暂存区描述") 
	@Column(value = "stagareadescrip")
	private String stagareadescrip;

	@ApiModelProperty(value = "调度员") 
	@Column(value = "dispatcher")
	private String dispatcher;

	@ApiModelProperty(value = "拣货员") 
	@Column(value = "sorter")
	private String sorter;

	@ApiModelProperty(value = "内复核员") 
	@Column(value = "reviewer")
	private String reviewer;

	@ApiModelProperty(value = "双人复核员") 
	@Column(value = "tworeviewer")
	private String tworeviewer;

	@ApiModelProperty(value = "外复核员") 
	@Column(value = "exterreviewer")
	private String exterreviewer;

	@ApiModelProperty(value = "外复核员2") 
	@Column(value = "exterreviewer2")
	private String exterreviewer2;

	@ApiModelProperty(value = "冲红数量") 
	@Column(value = "rushrednumb",jdbcType="DECIMAL")
	private BigDecimal rushrednumb;

	@ApiModelProperty(value = "冲红原因") 
	@Column(value = "rushredreason")
	private String rushredreason;

	@ApiModelProperty(value = "退货原因") 
	@Column(value = "rt_reason")
	private String rtReason;

	@ApiModelProperty(value = "退货商品状态") 
	@Column(value = "returngoodstatus")
	private String returngoodstatus;

	@ApiModelProperty(value = "扩展字段1") 
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "扩展字段2") 
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "扩展字段3") 
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "扩展字段4") 
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "扩展字段5") 
	@Column(value = "attr_str5")
	private String attrStr5;

	@ApiModelProperty(value = "创建人") 
	@Column(value = "createby")
	private String createby;

	@ApiModelProperty(value = "创建时间") 
	@Column(value = "createdate")
	private Date createdate;

	@ApiModelProperty(value = "修改人") 
	@Column(value = "lastmodifyby")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间") 
	@Column(value = "lastmodifydate")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID") 
	@Column(value = "p_enterpriseid")
	private String enterpriseid;

	@ApiModelProperty(value = "企业名称") 
	@Column(value = "p_enterprisename")
	private String enterprisename;


	public String getLineId() {
		return this.lineId;
	}

	public void setLineId(String lineId) {
		this.lineId = lineId;
	}

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getSeqno() {
		return this.seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getRefBilltype() {
		return this.refBilltype;
	}

	public void setRefBilltype(String refBilltype) {
		this.refBilltype = refBilltype;
	}

	public String getRefBillid() {
		return this.refBillid;
	}

	public void setRefBillid(String refBillid) {
		this.refBillid = refBillid;
	}

	public String getRefBillno() {
		return this.refBillno;
	}

	public void setRefBillno(String refBillno) {
		this.refBillno = refBillno;
	}

	public String getRefSeqno() {
		return this.refSeqno;
	}

	public void setRefSeqno(String refSeqno) {
		this.refSeqno = refSeqno;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorcode() {
		return this.consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getItemid() {
		return this.itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemcode() {
		return this.itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public String getItemname() {
		return this.itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public String getParerntItemid() {
		return this.parerntItemid;
	}

	public void setParerntItemid(String parerntItemid) {
		this.parerntItemid = parerntItemid;
	}

	public String getCategoryId() {
		return this.categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public BigDecimal getPackSize() {
		return this.packSize;
	}

	public void setPackSize(BigDecimal packSize) {
		this.packSize = packSize;
	}

	public String getPackUnits() {
		return this.packUnits;
	}

	public void setPackUnits(String packUnits) {
		this.packUnits = packUnits;
	}

	public String getMachType() {
		return this.machType;
	}

	public void setMachType(String machType) {
		this.machType = machType;
	}

	public String getLotNo() {
		return this.lotNo;
	}

	public void setLotNo(String lotNo) {
		this.lotNo = lotNo;
	}

	public String getBatchNo() {
		return this.batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public String getPdateFrom() {
		return this.pdateFrom;
	}

	public void setPdateFrom(String pdateFrom) {
		this.pdateFrom = pdateFrom;
	}

	public String getValidUntil() {
		return this.validUntil;
	}

	public void setValidUntil(String validUntil) {
		this.validUntil = validUntil;
	}

	public String getManufacturer() {
		return this.manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public BigDecimal getPrice() {
		return this.price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public BigDecimal getTniPrice() {
		return this.tniPrice;
	}

	public void setTniPrice(BigDecimal tniPrice) {
		this.tniPrice = tniPrice;
	}

	public BigDecimal getAffirmedPcs() {
		return this.affirmedPcs;
	}

	public void setAffirmedPcs(BigDecimal affirmedPcs) {
		this.affirmedPcs = affirmedPcs;
	}

	public BigDecimal getAffirmedOdd() {
		return this.affirmedOdd;
	}

	public void setAffirmedOdd(BigDecimal affirmedOdd) {
		this.affirmedOdd = affirmedOdd;
	}

	public BigDecimal getAffirmedFreeqty() {
		return this.affirmedFreeqty;
	}

	public void setAffirmedFreeqty(BigDecimal affirmedFreeqty) {
		this.affirmedFreeqty = affirmedFreeqty;
	}

	public BigDecimal getAffirmedQty() {
		return this.affirmedQty;
	}

	public void setAffirmedQty(BigDecimal affirmedQty) {
		this.affirmedQty = affirmedQty;
	}

	public BigDecimal getAffirmedWeight() {
		return this.affirmedWeight;
	}

	public void setAffirmedWeight(BigDecimal affirmedWeight) {
		this.affirmedWeight = affirmedWeight;
	}

	public BigDecimal getAffirmedVolume() {
		return this.affirmedVolume;
	}

	public void setAffirmedVolume(BigDecimal affirmedVolume) {
		this.affirmedVolume = affirmedVolume;
	}

	public String getReviewstageno() {
		return this.reviewstageno;
	}

	public void setReviewstageno(String reviewstageno) {
		this.reviewstageno = reviewstageno;
	}

	public BigDecimal getSumboxnum() {
		return this.sumboxnum;
	}

	public void setSumboxnum(BigDecimal sumboxnum) {
		this.sumboxnum = sumboxnum;
	}

	public String getMergenumber() {
		return this.mergenumber;
	}

	public void setMergenumber(String mergenumber) {
		this.mergenumber = mergenumber;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getStagareadescrip() {
		return this.stagareadescrip;
	}

	public void setStagareadescrip(String stagareadescrip) {
		this.stagareadescrip = stagareadescrip;
	}

	public String getDispatcher() {
		return this.dispatcher;
	}

	public void setDispatcher(String dispatcher) {
		this.dispatcher = dispatcher;
	}

	public String getSorter() {
		return this.sorter;
	}

	public void setSorter(String sorter) {
		this.sorter = sorter;
	}

	public String getReviewer() {
		return this.reviewer;
	}

	public void setReviewer(String reviewer) {
		this.reviewer = reviewer;
	}

	public String getTworeviewer() {
		return this.tworeviewer;
	}

	public void setTworeviewer(String tworeviewer) {
		this.tworeviewer = tworeviewer;
	}

	public String getExterreviewer() {
		return this.exterreviewer;
	}

	public void setExterreviewer(String exterreviewer) {
		this.exterreviewer = exterreviewer;
	}

	public String getExterreviewer2() {
		return this.exterreviewer2;
	}

	public void setExterreviewer2(String exterreviewer2) {
		this.exterreviewer2 = exterreviewer2;
	}

	public BigDecimal getRushrednumb() {
		return this.rushrednumb;
	}

	public void setRushrednumb(BigDecimal rushrednumb) {
		this.rushrednumb = rushrednumb;
	}

	public String getRushredreason() {
		return this.rushredreason;
	}

	public void setRushredreason(String rushredreason) {
		this.rushredreason = rushredreason;
	}

	public String getRtReason() {
		return this.rtReason;
	}

	public void setRtReason(String rtReason) {
		this.rtReason = rtReason;
	}

	public String getReturngoodstatus() {
		return this.returngoodstatus;
	}

	public void setReturngoodstatus(String returngoodstatus) {
		this.returngoodstatus = returngoodstatus;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return this.attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return this.attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getEnterpriseid() {
		return this.enterpriseid;
	}

	public void setEnterpriseid(String enterpriseid) {
		this.enterpriseid = enterpriseid;
	}

	public String getEnterprisename() {
		return this.enterprisename;
	}

	public void setEnterprisename(String enterprisename) {
		this.enterprisename = enterprisename;
	}

}
